source: squid-ssl/trunk/fuentes/helpers/ntlm_auth/fake/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 22 months ago

Initial release

File size: 40.7 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# helpers/ntlm_auth/fake/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/squid
74pkgincludedir = $(includedir)/squid
75pkglibdir = $(libdir)/squid
76pkglibexecdir = $(libexecdir)/squid
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = x86_64-pc-linux-gnu
90host_triplet = x86_64-pc-linux-gnu
91check_PROGRAMS =
92TESTS =
93am__append_1 = $(INCLTDL)
94libexec_PROGRAMS = ntlm_fake_auth$(EXEEXT)
95subdir = helpers/ntlm_auth/fake
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162am__installdirs = "$(DESTDIR)$(libexecdir)"
163PROGRAMS = $(libexec_PROGRAMS)
164am_ntlm_fake_auth_OBJECTS = ntlm_fake_auth.$(OBJEXT)
165ntlm_fake_auth_OBJECTS = $(am_ntlm_fake_auth_OBJECTS)
166#am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
167am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
168        $(am__DEPENDENCIES_1)
169am__DEPENDENCIES_3 =
170ntlm_fake_auth_DEPENDENCIES =  \
171        $(top_builddir)/lib/ntlmauth/libntlmauth.la \
172        $(top_builddir)/lib/libmiscencoding.la $(am__DEPENDENCIES_2) \
173        $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3) \
174        $(am__DEPENDENCIES_3)
175AM_V_lt = $(am__v_lt_$(V))
176am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
177am__v_lt_0 = --silent
178am__v_lt_1 = 
179AM_V_P = $(am__v_P_$(V))
180am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
181am__v_P_0 = false
182am__v_P_1 = :
183AM_V_GEN = $(am__v_GEN_$(V))
184am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
185am__v_GEN_0 = @echo "  GEN     " $@;
186am__v_GEN_1 = 
187AM_V_at = $(am__v_at_$(V))
188am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
189am__v_at_0 = @
190am__v_at_1 = 
191DEFAULT_INCLUDES = 
192depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
193am__depfiles_maybe = depfiles
194am__mv = mv -f
195CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
196        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
197LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
198        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
199        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
200        $(AM_CXXFLAGS) $(CXXFLAGS)
201AM_V_CXX = $(am__v_CXX_$(V))
202am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
203am__v_CXX_0 = @echo "  CXX     " $@;
204am__v_CXX_1 = 
205CXXLD = $(CXX)
206CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
207        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
208        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
209AM_V_CXXLD = $(am__v_CXXLD_$(V))
210am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
211am__v_CXXLD_0 = @echo "  CXXLD   " $@;
212am__v_CXXLD_1 = 
213SOURCES = $(ntlm_fake_auth_SOURCES)
214DIST_SOURCES = $(ntlm_fake_auth_SOURCES)
215am__can_run_installinfo = \
216  case $$AM_UPDATE_INFO_DIR in \
217    n|no|NO) false;; \
218    *) (install-info --version) >/dev/null 2>&1;; \
219  esac
220am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
221# Read a list of newline-separated strings from the standard input,
222# and print each of them once, without duplicates.  Input order is
223# *not* preserved.
224am__uniquify_input = $(AWK) '\
225  BEGIN { nonempty = 0; } \
226  { items[$$0] = 1; nonempty = 1; } \
227  END { if (nonempty) { for (i in items) print i; }; } \
228'
229# Make sure the list of sources is unique.  This is necessary because,
230# e.g., the same source file might be shared among _SOURCES variables
231# for different programs/libraries.
232am__define_uniq_tagged_files = \
233  list='$(am__tagged_files)'; \
234  unique=`for i in $$list; do \
235    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
236  done | $(am__uniquify_input)`
237ETAGS = etags
238CTAGS = ctags
239am__tty_colors_dummy = \
240  mgn= red= grn= lgn= blu= brg= std=; \
241  am__color_tests=no
242am__tty_colors = { \
243  $(am__tty_colors_dummy); \
244  if test "X$(AM_COLOR_TESTS)" = Xno; then \
245    am__color_tests=no; \
246  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
247    am__color_tests=yes; \
248  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
249    am__color_tests=yes; \
250  fi; \
251  if test $$am__color_tests = yes; then \
252    red='[0;31m'; \
253    grn='[0;32m'; \
254    lgn='[1;32m'; \
255    blu='[1;34m'; \
256    mgn='[0;35m'; \
257    brg='[1m'; \
258    std='[m'; \
259  fi; \
260}
261am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
262am__vpath_adj = case $$p in \
263    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
264    *) f=$$p;; \
265  esac;
266am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
267am__install_max = 40
268am__nobase_strip_setup = \
269  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
270am__nobase_strip = \
271  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
272am__nobase_list = $(am__nobase_strip_setup); \
273  for p in $$list; do echo "$$p $$p"; done | \
274  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
275  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
276    if (++n[$$2] == $(am__install_max)) \
277      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
278    END { for (dir in files) print dir, files[dir] }'
279am__base_list = \
280  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
281  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
282am__uninstall_files_from_dir = { \
283  test -z "$$files" \
284    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
285    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
286         $(am__cd) "$$dir" && rm -f $$files; }; \
287  }
288am__recheck_rx = ^[     ]*:recheck:[    ]*
289am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
290am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
291# A command that, given a newline-separated list of test names on the
292# standard input, print the name of the tests that are to be re-run
293# upon "make recheck".
294am__list_recheck_tests = $(AWK) '{ \
295  recheck = 1; \
296  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
297    { \
298      if (rc < 0) \
299        { \
300          if ((getline line2 < ($$0 ".log")) < 0) \
301            recheck = 0; \
302          break; \
303        } \
304      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
305        { \
306          recheck = 0; \
307          break; \
308        } \
309      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
310        { \
311          break; \
312        } \
313    }; \
314  if (recheck) \
315    print $$0; \
316  close ($$0 ".trs"); \
317  close ($$0 ".log"); \
318}'
319# A command that, given a newline-separated list of test names on the
320# standard input, create the global log from their .trs and .log files.
321am__create_global_log = $(AWK) ' \
322function fatal(msg) \
323{ \
324  print "fatal: making $@: " msg | "cat >&2"; \
325  exit 1; \
326} \
327function rst_section(header) \
328{ \
329  print header; \
330  len = length(header); \
331  for (i = 1; i <= len; i = i + 1) \
332    printf "="; \
333  printf "\n\n"; \
334} \
335{ \
336  copy_in_global_log = 1; \
337  global_test_result = "RUN"; \
338  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
339    { \
340      if (rc < 0) \
341         fatal("failed to read from " $$0 ".trs"); \
342      if (line ~ /$(am__global_test_result_rx)/) \
343        { \
344          sub("$(am__global_test_result_rx)", "", line); \
345          sub("[        ]*$$", "", line); \
346          global_test_result = line; \
347        } \
348      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
349        copy_in_global_log = 0; \
350    }; \
351  if (copy_in_global_log) \
352    { \
353      rst_section(global_test_result ": " $$0); \
354      while ((rc = (getline line < ($$0 ".log"))) != 0) \
355      { \
356        if (rc < 0) \
357          fatal("failed to read from " $$0 ".log"); \
358        print line; \
359      }; \
360      printf "\n"; \
361    }; \
362  close ($$0 ".trs"); \
363  close ($$0 ".log"); \
364}'
365# Restructured Text title.
366am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
367# Solaris 10 'make', and several other traditional 'make' implementations,
368# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
369# by disabling -e (using the XSI extension "set +e") if it's set.
370am__sh_e_setup = case $$- in *e*) set +e;; esac
371# Default flags passed to test drivers.
372am__common_driver_flags = \
373  --color-tests "$$am__color_tests" \
374  --enable-hard-errors "$$am__enable_hard_errors" \
375  --expect-failure "$$am__expect_failure"
376# To be inserted before the command running the test.  Creates the
377# directory for the log if needed.  Stores in $dir the directory
378# containing $f, in $tst the test, in $log the log.  Executes the
379# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
380# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
381# will run the test scripts (or their associated LOG_COMPILER, if
382# thy have one).
383am__check_pre = \
384$(am__sh_e_setup);                                      \
385$(am__vpath_adj_setup) $(am__vpath_adj)                 \
386$(am__tty_colors);                                      \
387srcdir=$(srcdir); export srcdir;                        \
388case "$@" in                                            \
389  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
390    *) am__odir=.;;                                     \
391esac;                                                   \
392test "x$$am__odir" = x"." || test -d "$$am__odir"       \
393  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
394if test -f "./$$f"; then dir=./;                        \
395elif test -f "$$f"; then dir=;                          \
396else dir="$(srcdir)/"; fi;                              \
397tst=$$dir$$f; log='$@';                                 \
398if test -n '$(DISABLE_HARD_ERRORS)'; then               \
399  am__enable_hard_errors=no;                            \
400else                                                    \
401  am__enable_hard_errors=yes;                           \
402fi;                                                     \
403case " $(XFAIL_TESTS) " in                              \
404  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
405    am__expect_failure=yes;;                            \
406  *)                                                    \
407    am__expect_failure=no;;                             \
408esac;                                                   \
409$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
410# A shell command to get the names of the tests scripts with any registered
411# extension removed (i.e., equivalently, the names of the test logs, with
412# the '.log' extension removed).  The result is saved in the shell variable
413# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
414# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
415# since that might cause problem with VPATH rewrites for suffix-less tests.
416# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
417am__set_TESTS_bases = \
418  bases='$(TEST_LOGS)'; \
419  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
420  bases=`echo $$bases`
421RECHECK_LOGS = $(TEST_LOGS)
422AM_RECURSIVE_TARGETS = check recheck
423TEST_SUITE_LOG = test-suite.log
424TEST_EXTENSIONS =  .test
425am__test_logs1 = $(TESTS:=.log)
426am__test_logs2 = $(am__test_logs1:.log=.log)
427TEST_LOGS = $(am__test_logs2:.test.log=.log)
428TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
429TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
430        $(TEST_LOG_FLAGS)
431am__set_b = \
432  case '$@' in \
433    */*) \
434      case '$*' in \
435        */*) b='$*';; \
436          *) b=`echo '$@' | sed 's/\.log$$//'`; \
437       esac;; \
438    *) \
439      b='$*';; \
440  esac
441am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
442        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
443DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
444ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
445ADAPTATION_LIBS = adaptation/libadaptation.la
446ALLOCA =
447AMTAR = $${TAR-tar}
448AM_DEFAULT_VERBOSITY = 1
449AR = /usr/bin/ar
450AR_R = /usr/bin/ar r
451AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
452AUTH_MODULES =  basic digest negotiate ntlm
453AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
454AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
455AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
456AWK = gawk
457BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
458BUILDCXX = g++
459BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
460BZR =
461CACHE_EFFECTIVE_USER = proxy
462CC = gcc
463CCDEPMODE = depmode=none
464CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
465CGIEXT = .cgi
466CHMOD = /bin/chmod
467CPP = gcc -E
468CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
469CPPUNITCONFIG = /usr/bin/cppunit-config
470CRYPTLIB = -lcrypt
471CXX = g++
472CXXCPP = g++ -E
473CXXDEPMODE = depmode=none
474CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
475CYGPATH_W = echo
476DEFAULT_HOSTS = /etc/hosts
477DEFAULT_LOG_DIR = /var/log/squid-ssl
478DEFAULT_PID_FILE = /var/run/squid-ssl.pid
479DEFAULT_SWAP_DIR = /var/spool/squid-ssl
480DEFS = -DHAVE_CONFIG_H
481DEPDIR = .deps
482DIGEST_AUTH_HELPERS =  file LDAP
483DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
484DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
485DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
486DISK_OS_LIBS =  -lrt -lpthread
487DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
488DLLTOOL = false
489DSYMUTIL =
490DUMPBIN =
491ECAP_LIBS = ecap/libsquid-ecap.la
492ECHO_C =
493ECHO_N = -n
494ECHO_T =
495EGREP = /bin/egrep
496EPOLL_LIBS =
497EUILIB =
498EXEEXT =
499EXPATLIB = -lexpat
500EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
501EXT_LIBECAP_CFLAGS =
502EXT_LIBECAP_LIBS = -lecap
503FALSE = /bin/false
504FGREP = /bin/fgrep
505GREP = grep
506HAVE_CXX11 = 1
507ICAP_LIBS = icap/libicap.la
508INCLTDL =
509INSTALL = /usr/bin/install -c
510INSTALL_DATA = ${INSTALL} -m 644
511INSTALL_PROGRAM = ${INSTALL}
512INSTALL_SCRIPT = ${INSTALL}
513INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
514KRB5INCS = -isystem /usr/include/mit-krb5
515KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
516LBERLIB = -llber
517LD = /usr/bin/ld -m elf_x86_64
518LDAPLIB = -lldap
519LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
520LIBADD_DL = -ldl
521LIBADD_DLD_LINK =
522LIBADD_DLOPEN = -ldl
523LIBADD_SHL_LOAD =
524LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
525LIBGNUTLS_LIBS = -lgnutls
526LIBLTDL = -lltdl
527LIBOBJS =
528LIBOPENSSL_CFLAGS =
529LIBOPENSSL_LIBS = -lssl -lcrypto
530LIBS =
531LIBSASL = -lsasl2
532LIBTOOL = $(SHELL) $(top_builddir)/libtool
533LIB_DB = -ldb
534LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
535LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
536LINUXDOC = /bin/false
537LIPO =
538LN = /bin/ln
539LN_S = ln -s
540LOG_DAEMON_HELPERS =  DB file
541LTDLDEPS =
542LTDLINCL =
543LTDLOPEN = libltdl
544LTLIBOBJS =
545LT_ARGZ_H =
546LT_CONFIG_H = include/autoconf.h
547LT_DLLOADERS =  libltdl/dlopen.la
548LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
549LT_SYS_LIBRARY_PATH =
550MAINT = #
551MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
552MANIFEST_TOOL = :
553MINGW_LIBS =
554MKDIR = /bin/mkdir
555MKDIR_P = /bin/mkdir -p
556MV = /bin/mv
557NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
558NETTLELIB =  -lnettle
559NM = /usr/bin/nm -B
560NMEDIT =
561NTLM_AUTH_HELPERS =  fake smb_lm
562OBJDUMP = objdump
563OBJEXT = o
564OTOOL =
565OTOOL64 =
566PACKAGE = squid
567PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
568PACKAGE_NAME = Squid Web Proxy
569PACKAGE_STRING = Squid Web Proxy 3.5.12
570PACKAGE_TARNAME = squid
571PACKAGE_URL =
572PACKAGE_VERSION = 3.5.12
573PATH_SEPARATOR = :
574PERL = /usr/bin/perl
575PKG_CONFIG = /usr/bin/pkg-config
576PKG_CONFIG_LIBDIR =
577PKG_CONFIG_PATH =
578PO2HTML = off
579PO2TEXT = off
580POD2MAN = /usr/bin/pod2man
581RANLIB = ranlib
582REGEXLIB =
583REPL_LIBS = liblru.a libheap.a
584REPL_OBJS = repl/liblru.a repl/libheap.a
585REPL_POLICIES = lru heap
586RM = /bin/rm -f
587SED = /bin/sed
588SET_MAKE =
589SH = /bin/sh
590SHELL = /bin/bash
591SMBCLIENT = /usr/bin/smbclient
592SNMPLIB = ../lib/snmplib/libsnmplib.la
593SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
594SQUID_CPPUNIT_INC =
595SQUID_CPPUNIT_LA =
596SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
597SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
598SSLLIB =  -lssl -lcrypto  -lgnutls
599STOREID_REWRITE_HELPERS =  file
600STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
601STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
602STORE_TESTS =
603STRIP = strip
604TR = /usr/bin/tr
605TRUE = /bin/true
606URL_REWRITE_HELPERS =  fake
607VERSION = 3.5.12
608WBINFO =
609WIN32_PSAPI =
610XMLLIB = -lxml2
611XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
612XTRA_OBJS =
613abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/helpers/ntlm_auth/fake
614abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/helpers/ntlm_auth/fake
615abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
616abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
617ac_ct_AR =
618ac_ct_CC = gcc
619ac_ct_CXX = g++
620ac_ct_DUMPBIN =
621am__include = include
622am__leading_dot = .
623am__quote =
624am__tar = tar --format=ustar -chf - "$$tardir"
625am__untar = tar -xf -
626bindir = ${exec_prefix}/bin
627build = x86_64-pc-linux-gnu
628build_alias = x86_64-linux-gnu
629build_cpu = x86_64
630build_os = linux-gnu
631build_vendor = pc
632builddir = .
633datadir = /usr/share/squid-ssl
634datarootdir = ${prefix}/share
635docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
636dvidir = ${docdir}
637exec_prefix = ${prefix}
638host = x86_64-pc-linux-gnu
639host_alias =
640host_cpu = x86_64
641host_os = linux-gnu
642host_vendor = pc
643htmldir = ${docdir}
644includedir = ${prefix}/include
645infodir = ${prefix}/share/info
646install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
647krb5_config =
648libdir = ${exec_prefix}/lib
649libexecdir = /usr/lib/squid-ssl
650localedir = ${datarootdir}/locale
651localstatedir = /var
652ltdl_LIBOBJS =  lt__strl.o
653ltdl_LTLIBOBJS =  lt__strl.lo
654mandir = /usr/share/man
655mkdir_p = $(MKDIR_P)
656oldincludedir = /usr/include
657pdfdir = ${docdir}
658prefix = /usr
659program_transform_name = s&$$&-ssl&
660psdir = ${docdir}
661runstatedir = ${localstatedir}/run
662sbindir = ${exec_prefix}/sbin
663sharedstatedir = ${prefix}/com
664srcdir = .
665subdirs =  libltdl
666sys_symbol_underscore = no
667sysconfdir = /etc/squid-ssl
668target_alias =
669top_build_prefix = ../../../
670top_builddir = ../../..
671top_srcdir = ../../..
672AM_CFLAGS = $(SQUID_CFLAGS)
673AM_CXXFLAGS = $(SQUID_CXXFLAGS)
674CLEANFILES =
675AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
676        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
677        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
678        $(am__append_1) -I$(top_srcdir)/lib
679LIBPROFILER =
680#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
681COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
682subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
683ntlm_fake_auth_SOURCES = ntlm_fake_auth.cc
684ntlm_fake_auth_LDADD = \
685        $(top_builddir)/lib/ntlmauth/libntlmauth.la \
686        $(top_builddir)/lib/libmiscencoding.la \
687        $(COMPAT_LIB) \
688        $(NETTLELIB) \
689        $(CRYPTLIB) \
690        $(XTRA_LIBS)
691
692EXTRA_DIST = required.m4 \
693        ntlm_fake_auth.pl.in
694
695all: all-am
696
697.SUFFIXES:
698.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
699$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
700        @for dep in $?; do \
701          case '$(am__configure_deps)' in \
702            *$$dep*) \
703              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
704                && { if test -f $@; then exit 0; else break; fi; }; \
705              exit 1;; \
706          esac; \
707        done; \
708        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu helpers/ntlm_auth/fake/Makefile'; \
709        $(am__cd) $(top_srcdir) && \
710          $(AUTOMAKE) --gnu helpers/ntlm_auth/fake/Makefile
711Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
712        @case '$?' in \
713          *config.status*) \
714            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
715          *) \
716            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
717            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
718        esac;
719$(top_srcdir)/src/Common.am $(am__empty):
720
721$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
722        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
723
724$(top_srcdir)/configure: # $(am__configure_deps)
725        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
726$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
727        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
728$(am__aclocal_m4_deps):
729
730clean-checkPROGRAMS:
731        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
732        echo " rm -f" $$list; \
733        rm -f $$list || exit $$?; \
734        test -n "$(EXEEXT)" || exit 0; \
735        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
736        echo " rm -f" $$list; \
737        rm -f $$list
738install-libexecPROGRAMS: $(libexec_PROGRAMS)
739        @$(NORMAL_INSTALL)
740        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
741        if test -n "$$list"; then \
742          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
743          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
744        fi; \
745        for p in $$list; do echo "$$p $$p"; done | \
746        sed 's/$(EXEEXT)$$//' | \
747        while read p p1; do if test -f $$p \
748         || test -f $$p1 \
749          ; then echo "$$p"; echo "$$p"; else :; fi; \
750        done | \
751        sed -e 'p;s,.*/,,;n;h' \
752            -e 's|.*|.|' \
753            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
754        sed 'N;N;N;s,\n, ,g' | \
755        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
756          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
757            if ($$2 == $$4) files[d] = files[d] " " $$1; \
758            else { print "f", $$3 "/" $$4, $$1; } } \
759          END { for (d in files) print "f", d, files[d] }' | \
760        while read type dir files; do \
761            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
762            test -z "$$files" || { \
763            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
764            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
765            } \
766        ; done
767
768uninstall-libexecPROGRAMS:
769        @$(NORMAL_UNINSTALL)
770        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
771        files=`for p in $$list; do echo "$$p"; done | \
772          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
773              -e 's/$$/$(EXEEXT)/' \
774        `; \
775        test -n "$$list" || exit 0; \
776        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
777        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
778
779clean-libexecPROGRAMS:
780        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
781        echo " rm -f" $$list; \
782        rm -f $$list || exit $$?; \
783        test -n "$(EXEEXT)" || exit 0; \
784        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
785        echo " rm -f" $$list; \
786        rm -f $$list
787
788ntlm_fake_auth$(EXEEXT): $(ntlm_fake_auth_OBJECTS) $(ntlm_fake_auth_DEPENDENCIES) $(EXTRA_ntlm_fake_auth_DEPENDENCIES) 
789        @rm -f ntlm_fake_auth$(EXEEXT)
790        $(AM_V_CXXLD)$(CXXLINK) $(ntlm_fake_auth_OBJECTS) $(ntlm_fake_auth_LDADD) $(LIBS)
791
792mostlyclean-compile:
793        -rm -f *.$(OBJEXT)
794
795distclean-compile:
796        -rm -f *.tab.c
797
798#include ./$(DEPDIR)/ntlm_fake_auth.Po
799
800.cc.o:
801#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
802#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
803#       $(am__mv) $$depbase.Tpo $$depbase.Po
804#       $(AM_V_CXX)source='$<' object='$@' libtool=no
805#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
806        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
807
808.cc.obj:
809#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
810#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
811#       $(am__mv) $$depbase.Tpo $$depbase.Po
812#       $(AM_V_CXX)source='$<' object='$@' libtool=no
813#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
814        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
815
816.cc.lo:
817#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
818#       $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
819#       $(am__mv) $$depbase.Tpo $$depbase.Plo
820#       $(AM_V_CXX)source='$<' object='$@' libtool=yes
821#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
822        $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
823
824mostlyclean-libtool:
825        -rm -f *.lo
826
827clean-libtool:
828        -rm -rf .libs _libs
829
830ID: $(am__tagged_files)
831        $(am__define_uniq_tagged_files); mkid -fID $$unique
832tags: tags-am
833TAGS: tags
834
835tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
836        set x; \
837        here=`pwd`; \
838        $(am__define_uniq_tagged_files); \
839        shift; \
840        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
841          test -n "$$unique" || unique=$$empty_fix; \
842          if test $$# -gt 0; then \
843            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
844              "$$@" $$unique; \
845          else \
846            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
847              $$unique; \
848          fi; \
849        fi
850ctags: ctags-am
851
852CTAGS: ctags
853ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
854        $(am__define_uniq_tagged_files); \
855        test -z "$(CTAGS_ARGS)$$unique" \
856          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
857             $$unique
858
859GTAGS:
860        here=`$(am__cd) $(top_builddir) && pwd` \
861          && $(am__cd) $(top_srcdir) \
862          && gtags -i $(GTAGS_ARGS) "$$here"
863cscopelist: cscopelist-am
864
865cscopelist-am: $(am__tagged_files)
866        list='$(am__tagged_files)'; \
867        case "$(srcdir)" in \
868          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
869          *) sdir=$(subdir)/$(srcdir) ;; \
870        esac; \
871        for i in $$list; do \
872          if test -f "$$i"; then \
873            echo "$(subdir)/$$i"; \
874          else \
875            echo "$$sdir/$$i"; \
876          fi; \
877        done >> $(top_builddir)/cscope.files
878
879distclean-tags:
880        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
881
882# Recover from deleted '.trs' file; this should ensure that
883# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
884# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
885# to avoid problems with "make -n".
886.log.trs:
887        rm -f $< $@
888        $(MAKE) $(AM_MAKEFLAGS) $<
889
890# Leading 'am--fnord' is there to ensure the list of targets does not
891# expand to empty, as could happen e.g. with make check TESTS=''.
892am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
893am--force-recheck:
894        @:
895
896$(TEST_SUITE_LOG): $(TEST_LOGS)
897        @$(am__set_TESTS_bases); \
898        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
899        redo_bases=`for i in $$bases; do \
900                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
901                    done`; \
902        if test -n "$$redo_bases"; then \
903          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
904          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
905          if $(am__make_dryrun); then :; else \
906            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
907          fi; \
908        fi; \
909        if test -n "$$am__remaking_logs"; then \
910          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
911               "recursion detected" >&2; \
912        elif test -n "$$redo_logs"; then \
913          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
914        fi; \
915        if $(am__make_dryrun); then :; else \
916          st=0;  \
917          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
918          for i in $$redo_bases; do \
919            test -f $$i.trs && test -r $$i.trs \
920              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
921            test -f $$i.log && test -r $$i.log \
922              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
923          done; \
924          test $$st -eq 0 || exit 1; \
925        fi
926        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
927        ws='[   ]'; \
928        results=`for b in $$bases; do echo $$b.trs; done`; \
929        test -n "$$results" || results=/dev/null; \
930        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
931        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
932        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
933        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
934        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
935        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
936        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
937        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
938          success=true; \
939        else \
940          success=false; \
941        fi; \
942        br='==================='; br=$$br$$br$$br$$br; \
943        result_count () \
944        { \
945            if test x"$$1" = x"--maybe-color"; then \
946              maybe_colorize=yes; \
947            elif test x"$$1" = x"--no-color"; then \
948              maybe_colorize=no; \
949            else \
950              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
951            fi; \
952            shift; \
953            desc=$$1 count=$$2; \
954            if test $$maybe_colorize = yes && test $$count -gt 0; then \
955              color_start=$$3 color_end=$$std; \
956            else \
957              color_start= color_end=; \
958            fi; \
959            echo "$${color_start}# $$desc $$count$${color_end}"; \
960        }; \
961        create_testsuite_report () \
962        { \
963          result_count $$1 "TOTAL:" $$all   "$$brg"; \
964          result_count $$1 "PASS: " $$pass  "$$grn"; \
965          result_count $$1 "SKIP: " $$skip  "$$blu"; \
966          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
967          result_count $$1 "FAIL: " $$fail  "$$red"; \
968          result_count $$1 "XPASS:" $$xpass "$$red"; \
969          result_count $$1 "ERROR:" $$error "$$mgn"; \
970        }; \
971        {                                                               \
972          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
973            $(am__rst_title);                                           \
974          create_testsuite_report --no-color;                           \
975          echo;                                                         \
976          echo ".. contents:: :depth: 2";                               \
977          echo;                                                         \
978          for b in $$bases; do echo $$b; done                           \
979            | $(am__create_global_log);                                 \
980        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
981        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
982        if $$success; then                                              \
983          col="$$grn";                                                  \
984         else                                                           \
985          col="$$red";                                                  \
986          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
987        fi;                                                             \
988        echo "$${col}$$br$${std}";                                      \
989        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
990        echo "$${col}$$br$${std}";                                      \
991        create_testsuite_report --maybe-color;                          \
992        echo "$$col$$br$$std";                                          \
993        if $$success; then :; else                                      \
994          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
995          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
996            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
997          fi;                                                           \
998          echo "$$col$$br$$std";                                        \
999        fi;                                                             \
1000        $$success || exit 1
1001
1002check-TESTS:
1003        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1004        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1005        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1006        @set +e; $(am__set_TESTS_bases); \
1007        log_list=`for i in $$bases; do echo $$i.log; done`; \
1008        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1009        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1010        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1011        exit $$?;
1012recheck: all $(check_PROGRAMS)
1013        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1014        @set +e; $(am__set_TESTS_bases); \
1015        bases=`for i in $$bases; do echo $$i; done \
1016                 | $(am__list_recheck_tests)` || exit 1; \
1017        log_list=`for i in $$bases; do echo $$i.log; done`; \
1018        log_list=`echo $$log_list`; \
1019        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1020                am__force_recheck=am--force-recheck \
1021                TEST_LOGS="$$log_list"; \
1022        exit $$?
1023.test.log:
1024        @p='$<'; \
1025        $(am__set_b); \
1026        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1027        --log-file $$b.log --trs-file $$b.trs \
1028        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1029        "$$tst" $(AM_TESTS_FD_REDIRECT)
1030#.test$(EXEEXT).log:
1031#       @p='$<'; \
1032#       $(am__set_b); \
1033#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1034#       --log-file $$b.log --trs-file $$b.trs \
1035#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1036#       "$$tst" $(AM_TESTS_FD_REDIRECT)
1037
1038distdir: $(DISTFILES)
1039        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1040        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1041        list='$(DISTFILES)'; \
1042          dist_files=`for file in $$list; do echo $$file; done | \
1043          sed -e "s|^$$srcdirstrip/||;t" \
1044              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1045        case $$dist_files in \
1046          */*) $(MKDIR_P) `echo "$$dist_files" | \
1047                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1048                           sort -u` ;; \
1049        esac; \
1050        for file in $$dist_files; do \
1051          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1052          if test -d $$d/$$file; then \
1053            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1054            if test -d "$(distdir)/$$file"; then \
1055              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1056            fi; \
1057            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1058              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1059              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1060            fi; \
1061            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1062          else \
1063            test -f "$(distdir)/$$file" \
1064            || cp -p $$d/$$file "$(distdir)/$$file" \
1065            || exit 1; \
1066          fi; \
1067        done
1068check-am: all-am
1069        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1070        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1071check: check-am
1072all-am: Makefile $(PROGRAMS)
1073installdirs:
1074        for dir in "$(DESTDIR)$(libexecdir)"; do \
1075          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1076        done
1077install: install-am
1078install-exec: install-exec-am
1079install-data: install-data-am
1080uninstall: uninstall-am
1081
1082install-am: all-am
1083        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1084
1085installcheck: installcheck-am
1086install-strip:
1087        if test -z '$(STRIP)'; then \
1088          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1089            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1090              install; \
1091        else \
1092          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1093            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1094            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1095        fi
1096mostlyclean-generic:
1097        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1098        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1099        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1100
1101clean-generic:
1102        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1103
1104distclean-generic:
1105        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1106        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1107
1108maintainer-clean-generic:
1109        @echo "This command is intended for maintainers to use"
1110        @echo "it deletes files that may require special tools to rebuild."
1111clean: clean-am
1112
1113clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1114        clean-libtool mostlyclean-am
1115
1116distclean: distclean-am
1117        -rm -rf ./$(DEPDIR)
1118        -rm -f Makefile
1119distclean-am: clean-am distclean-compile distclean-generic \
1120        distclean-tags
1121
1122dvi: dvi-am
1123
1124dvi-am:
1125
1126html: html-am
1127
1128html-am:
1129
1130info: info-am
1131
1132info-am:
1133
1134install-data-am:
1135
1136install-dvi: install-dvi-am
1137
1138install-dvi-am:
1139
1140install-exec-am: install-libexecPROGRAMS
1141
1142install-html: install-html-am
1143
1144install-html-am:
1145
1146install-info: install-info-am
1147
1148install-info-am:
1149
1150install-man:
1151
1152install-pdf: install-pdf-am
1153
1154install-pdf-am:
1155
1156install-ps: install-ps-am
1157
1158install-ps-am:
1159
1160installcheck-am:
1161
1162maintainer-clean: maintainer-clean-am
1163        -rm -rf ./$(DEPDIR)
1164        -rm -f Makefile
1165maintainer-clean-am: distclean-am maintainer-clean-generic
1166
1167mostlyclean: mostlyclean-am
1168
1169mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1170        mostlyclean-libtool
1171
1172pdf: pdf-am
1173
1174pdf-am:
1175
1176ps: ps-am
1177
1178ps-am:
1179
1180uninstall-am: uninstall-libexecPROGRAMS
1181
1182.MAKE: check-am install-am install-strip
1183
1184.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1185        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1186        clean-libtool cscopelist-am ctags ctags-am distclean \
1187        distclean-compile distclean-generic distclean-libtool \
1188        distclean-tags distdir dvi dvi-am html html-am info info-am \
1189        install install-am install-data install-data-am install-dvi \
1190        install-dvi-am install-exec install-exec-am install-html \
1191        install-html-am install-info install-info-am \
1192        install-libexecPROGRAMS install-man install-pdf install-pdf-am \
1193        install-ps install-ps-am install-strip installcheck \
1194        installcheck-am installdirs maintainer-clean \
1195        maintainer-clean-generic mostlyclean mostlyclean-compile \
1196        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1197        recheck tags tags-am uninstall uninstall-am \
1198        uninstall-libexecPROGRAMS
1199
1200.PRECIOUS: Makefile
1201
1202
1203$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1204
1205# Tell versions [3.59,3.63) of GNU make to not export all variables.
1206# Otherwise a system limit (for SysV at least) may be exceeded.
1207.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.